Package org.eclipse.m2m.atl.adt.runner

# Class CreateModuleSettingsWriter

java.lang.Object
org.eclipse.m2m.atl.adt.runner.CreateModuleSettingsWriter

public class CreateModuleSettingsWriter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`nl`
`final String`
`NL`
`protected final String`
`TEXT_1`
`protected final String`
`TEXT_2`

## Constructor Summary

Constructors
Constructor
Description
`CreateModuleSettingsWriter()`

## Method Summary

Modifier and Type
Method
Description
`static CreateModuleSettingsWriter`
`create(String lineSeparator)`
`String`
`generate(Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nl

protected static String nl

### NL

public final String NL

### TEXT_1

protected final String TEXT_1

### TEXT_2

protected final String TEXT_2

## Constructor Details

### CreateModuleSettingsWriter

public CreateModuleSettingsWriter()

## Method Details

### create

public static CreateModuleSettingsWriter create(String lineSeparator)

### generate

public String generate(Object argument)